Name:           swt-chart
Version:        0.8.0
Release:        5%{?dist}
Summary:        SWTChart Feature

Group:          Development/Tools
License:        EPL
URL:            http://www.swtchart.org/
# svn export https://swt-chart.svn.sourceforge.net/svnroot/swt-chart/tags/%%{version}/ %%{name}-%%{version}
# pushd %%{name}-%%{version} && rm -rf org.swtchart.{examples{,.ext},ext} && popd
# tar -cJf %%{name}-%%{version}.tar.xz %%{name}-%%{version}
Source0:        %{name}-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  jpackage-utils
BuildRequires:  java-devel >= 1.5
BuildRequires:  tycho >= 0.14.0

Requires:       jpackage-utils
Requires:       java >= 1.5
Requires:       eclipse-platform >= 3.4.0

%description
SWTChart is a light-weight charting component for SWT.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Documentation

Requires:       jpackage-utils

%description    javadoc
%{summary}.

%prep
%setup -q
# Create the poms
mvn-rpmbuild org.eclipse.tycho:tycho-pomgenerator-plugin:generate-poms -DgroupId=org.swtchart

%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 %{buildroot}%{_javadir}
install -d -m 755 %{buildroot}%{_mavenpomdir}

# Pom
install -p -m 644 org.swtchart/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# Jar
install -p -m 644 org.swtchart/target/org.swtchart-%{version}-SNAPSHOT.jar %{buildroot}%{_javadir}/%{name}.jar
ln -sf %{_javadir}/%{name}.jar %{buildroot}%{_javadir}/org.swtchart_%{version}.jar

%add_maven_depmap JPP-%{name}.pom %{name}.jar

# Javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs %{buildroot}%{_javadocdir}/%{name}


%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/%{name}

%files javadoc
%doc %{_javadocdir}/%{name}

%changelog
* Tue Aug 14 2012 Roland Grunberg <rgrunber@redhat.com> 0.8.0-5
- Remove deprecated tycho.targetPlatform due to p2 support.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Apr 4 2012 Roland Grunberg <rgrunber@redhat.com> 0.8.0-3
- Use %%{_eclipse_base} from eclipse-platform.

* Mon Apr 2 2012 Roland Grunberg <rgrunber@redhat.com> 0.8.0-2
- Explicitly require java/java-devel >= 1.5 as per manifest.

* Sat Mar 6 2012 Roland Grunberg <rgrunber@redhat.com> 0.8.0-1
- Initial packaging of SWTChart.
